> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeliver Payout Link

> Redeliver a payout link. Payout links will be delivered up to 5 times.



## OpenAPI

````yaml /v2.yaml post /v2/payout-links/{payout_link_id}/redeliver
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/payout-links/{payout_link_id}/redeliver:
    parameters:
      - schema:
          type: string
        name: payout_link_id
        in: path
        required: true
        description: Id of the payout link
    post:
      tags:
        - payout-links
      summary: Redeliver Payout Link
      description: Redeliver a payout link. Payout links will be delivered up to 5 times.
      operationId: redeliver-payout-link
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  payout_link:
                    $ref: '#/components/schemas/payout-link'
                    description: The `payout-link` object.
                  redelivered:
                    type: boolean
                    description: Whether the `payout-link` was redelivered.
components:
  schemas:
    payout-link:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the `payout-link`.
        created:
          type: string
          format: date-time
          description: Date the `payout-link` was created.
        link:
          type: string
          format: uri
          description: URL to access the `payout-link`.
        amount:
          type: number
          description: The amount to pay in cents.
        status:
          type: string
          enum:
            - created
            - delivery_pending
            - delivery_failed
            - sent
            - delivered
            - claimed
            - reversed
            - canceled
            - expired
            - failed
          description: Status of the `payout-link`.
        payee:
          type: object
          description: Information about the payee. It is used to pre-fill information.
          properties:
            first_name:
              type: string
              description: Payee's first name.
            last_name:
              type: string
              description: Payee's last name.
            email:
              type: string
              format: email
              description: Payee's email address.
            country_code:
              type: string
              description: Country code of the payee's phone number e.g. "1" for USA.
            phone_number:
              type: string
              description: Rest of the payee's phone number.
        delivery:
          type: object
          properties:
            method:
              type: string
              enum:
                - link
                - sms
                - email
                - all
            email:
              type: string
              format: email
            country_code:
              type: string
            phone_number:
              type: string
        tax_exempt:
          type: boolean
          description: >-
            Transfers marked as `tax_exempt` will not be counted towards the
            1099 threshold.
        claimed_user_id:
          type: string
          format: uuid
          description: ID of the `user` that has claimed the `payout-link`.
        flow_id:
          type: string
          format: uuid
          description: ID of the payout flow UI that is sent to the user.
        transfer_id:
          type: string
          format: uuid
          description: ID of the `transfer` created for this `payout-link`.
        memo:
          type:
            - string
            - 'null'
          description: Optional memo added to this `payout-link`
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
        description:
          type:
            - string
            - 'null'
          description: >-
            An internal description for the `payout-link`. Unlike `memo`, it is
            not shown to the payee.
        accounting_data:
          type: object
          description: Accounting metadata synced to external accounting systems.
          properties:
            quickbooks_account_id:
              type:
                - integer
                - 'null'
            quickbooks_class_id:
              type:
                - integer
                - 'null'
        funding_source:
          type: string
          enum:
            - dots_balance
            - ach
          description: >-
            The funding source used to fund the payout. One of `dots_balance` or
            `ach`.
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````